#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <libgen.h>
#include <string.h>
#define MAXSTR 500

char *basename_no_ext(const char filename[], const char *desired_ext)
{
char *dot;
char filename_copy[MAXSTR];
char *basefilename;
int i, match;
char *ext;

  	sprintf(filename_copy,"%s",filename);
/*		 First strip the directory part */
  	basefilename=basename(filename_copy);

	/* Find the last . in the filename */
		dot = strrchr(basefilename, '.');
		ext = dot + 1;
	/* Check there is a . and it's not the last character
		* in the string, i.e. there is an extension */
	if(dot && ((dot - basefilename) < strlen(basefilename)) )
	{
		match = 1;

       /* if the extension matches (case insensitive)
         	* then truncate the basefilename to the basename */
        for( i = 0; i < strlen(desired_ext); i++ )
        {
        if( (ext[i] == '\0') || (tolower(ext[i]) != tolower(desired_ext[i])) )
          {
            match = 0;
            break;
          }
        }
        if( match ) {
         *dot = '\0';}
        else{
			printf("This is not a file of type: %s\n",desired_ext);
    		exit(0);
		}

     }

return basefilename;
}




